Bug 1195066 - (CVE-2022-0319) VUL-1: CVE-2022-0319: vim: Out-of-bounds Read in vim/vim prior to 8.2.
(CVE-2022-0319)
VUL-1: CVE-2022-0319: vim: Out-of-bounds Read in vim/vim prior to 8.2.
Status: IN_PROGRESS
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Zoltan Balogh
Security Team bot
https://smash.suse.de/issue/321458/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-01-24 16:30 UTC by Thomas Leroy
Modified: 2022-04-19 22:28 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Thomas Leroy 2022-01-24 16:30:44 UTC
Only openSUSE:Factory is affected.
Comment 2 Zoltan Balogh 2022-02-17 19:51:57 UTC
The provided poc reproduces the failure for SLE15 codebase and the upstream patch fixes the proble. The src/testdir/test_visual.vim conflicts with CVE-2022-0361 patch, but later they could be merged.
The next upcoming MU will contain the patch. If there is a need we may offer a PTF for customers who need it.
Comment 4 Swamp Workflow Management 2022-03-04 17:19:20 UTC
SUSE-SU-2022:0736-1: An update that fixes 14 vulnerabilities is now available.

Category: security (important)
Bug References: 1190533,1190570,1191893,1192478,1192481,1193294,1193298,1194216,1194556,1195004,1195066,1195126,1195202,1195356
CVE References: CVE-2021-3778,CVE-2021-3796,CVE-2021-3872,CVE-2021-3927,CVE-2021-3928,CVE-2021-3984,CVE-2021-4019,CVE-2021-4193,CVE-2021-46059,CVE-2022-0318,CVE-2022-0319,CVE-2022-0351,CVE-2022-0361,CVE-2022-0413
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    vim-8.0.1568-5.17.1
SUSE Manager Retail Branch Server 4.1 (src):    vim-8.0.1568-5.17.1
SUSE Manager Proxy 4.1 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Server for SAP 15 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Server 15-LTSS (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Micro 5.1 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Micro 5.0 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    vim-8.0.1568-5.17.1
SUSE Enterprise Storage 7 (src):    vim-8.0.1568-5.17.1
SUSE Enterprise Storage 6 (src):    vim-8.0.1568-5.17.1
SUSE CaaS Platform 4.0 (src):    vim-8.0.1568-5.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2022-03-04 17:24:10 UTC
openSUSE-SU-2022:0736-1: An update that fixes 14 vulnerabilities is now available.

Category: security (important)
Bug References: 1190533,1190570,1191893,1192478,1192481,1193294,1193298,1194216,1194556,1195004,1195066,1195126,1195202,1195356
CVE References: CVE-2021-3778,CVE-2021-3796,CVE-2021-3872,CVE-2021-3927,CVE-2021-3928,CVE-2021-3984,CVE-2021-4019,CVE-2021-4193,CVE-2021-46059,CVE-2022-0318,CVE-2022-0319,CVE-2022-0351,CVE-2022-0361,CVE-2022-0413
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    vim-8.0.1568-5.17.1
openSUSE Leap 15.3 (src):    vim-8.0.1568-5.17.1
Comment 6 Swamp Workflow Management 2022-04-19 22:28:15 UTC
SUSE-SU-2022:0736-2: An update that fixes 14 vulnerabilities is now available.

Category: security (important)
Bug References: 1190533,1190570,1191893,1192478,1192481,1193294,1193298,1194216,1194556,1195004,1195066,1195126,1195202,1195356
CVE References: CVE-2021-3778,CVE-2021-3796,CVE-2021-3872,CVE-2021-3927,CVE-2021-3928,CVE-2021-3984,CVE-2021-4019,CVE-2021-4193,CVE-2021-46059,CVE-2022-0318,CVE-2022-0319,CVE-2022-0351,CVE-2022-0361,CVE-2022-0413
JIRA References: 
Sources used:
SUSE Linux Enterprise Micro 5.2 (src):    vim-8.0.1568-5.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.